Skip to main content
GET
Get a sub-account
Retrieve one sub-account by ID. The endpoint returns the sub-account even when it is archived.
This is a workspace-level management request. Do not send the Sub-Account-ID header.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

sub_account_id
string<uuid>
required

The sub-account ID.

Response

OK

id
string<uuid>
required

The sub-account ID. Use this value in the Sub-Account-ID header for scoped API calls.

Example:

"70ff6a88-6291-417d-b6cd-04f1ca123470"

workspace_id
string<uuid>
required

The ID of the workspace that owns the sub-account.

Example:

"2db5ea61-1752-42cf-8ea1-ab1da060cd0a"

name
string
required

The sub-account name.

Example:

"Acme Europe"

archived
boolean
required

Whether the sub-account is archived.

Example:

false

created_at
string<date-time>
required

When the sub-account was created.

Example:

"2026-08-05T09:30:00Z"

updated_at
string<date-time>
required

When the sub-account was last updated.

Example:

"2026-08-05T09:30:00Z"